IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMPD_PROJECT_MCC' AND KSQL_COL_NAME ='FDISABLEUSER')
ALTER TABLE T_PMPD_PROJECT_MCC ADD (FDISABLEUSER BIGINT DEFAULT 0 NOT NULL);
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMPD_PROJECT_MCC' AND KSQL_COL_NAME ='FDISABLETIME')
ALTER TABLE T_PMPD_PROJECT_MCC ADD (FDISABLETIME DATETIME);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMTS_WBS' AND KSQL_COL_NAME ='FDISABLEUSER')
ALTER TABLE T_PMTS_WBS ADD (FDISABLEUSER BIGINT DEFAULT 0 NOT NULL);
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMTS_WBS' AND KSQL_COL_NAME ='FDISABLETIME')
ALTER TABLE T_PMTS_WBS ADD (FDISABLETIME DATETIME);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMTS_TASK' AND KSQL_COL_NAME ='FDISABLEUSER')
ALTER TABLE T_PMTS_TASK ADD (FDISABLEUSER BIGINT DEFAULT 0 NOT NULL);
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMTS_TASK' AND KSQL_COL_NAME ='FDISABLETIME')
ALTER TABLE T_PMTS_TASK ADD (FDISABLETIME DATETIME);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMBD_PJSTAGE' AND KSQL_COL_NAME ='FDISABLEUSER')
ALTER TABLE T_PMBD_PJSTAGE ADD (FDISABLEUSER BIGINT DEFAULT 0 NOT NULL);
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMBD_PJSTAGE' AND KSQL_COL_NAME ='FDISABLETIME')
ALTER TABLE T_PMBD_PJSTAGE ADD (FDISABLETIME DATETIME);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMBD_PROJECTWBSTYPE' AND KSQL_COL_NAME ='FDISABLEUSER')
ALTER TABLE T_PMBD_PROJECTWBSTYPE ADD (FDISABLEUSER BIGINT DEFAULT 0 NOT NULL);
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMBD_PROJECTWBSTYPE' AND KSQL_COL_NAME ='FDISABLETIME')
ALTER TABLE T_PMBD_PROJECTWBSTYPE ADD (FDISABLETIME DATETIME);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMBD_JOBTYPE' AND KSQL_COL_NAME ='FDISABLEUSER')
ALTER TABLE T_PMBD_JOBTYPE ADD (FDISABLEUSER BIGINT DEFAULT 0 NOT NULL);
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMBD_JOBTYPE' AND KSQL_COL_NAME ='FDISABLETIME')
ALTER TABLE T_PMBD_JOBTYPE ADD (FDISABLETIME DATETIME);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMBD_ORGPROS' AND KSQL_COL_NAME ='FDISABLEUSER')
ALTER TABLE T_PMBD_ORGPROS ADD (FDISABLEUSER BIGINT DEFAULT 0 NOT NULL);
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMBD_ORGPROS' AND KSQL_COL_NAME ='FDISABLETIME')
ALTER TABLE T_PMBD_ORGPROS ADD (FDISABLETIME DATETIME);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMBD_CALENDAR' AND KSQL_COL_NAME ='FDISABLEUSER')
ALTER TABLE T_PMBD_CALENDAR ADD (FDISABLEUSER BIGINT DEFAULT 0 NOT NULL);
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMBD_CALENDAR' AND KSQL_COL_NAME ='FDISABLETIME')
ALTER TABLE T_PMBD_CALENDAR ADD (FDISABLETIME DATETIME);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMPD_ASSPJMGINFO' AND KSQL_COL_NAME ='FDISABLEUSER')
ALTER TABLE T_PMPD_ASSPJMGINFO ADD (FDISABLEUSER BIGINT DEFAULT 0 NOT NULL);
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMPD_ASSPJMGINFO' AND KSQL_COL_NAME ='FDISABLETIME')
ALTER TABLE T_PMPD_ASSPJMGINFO ADD (FDISABLETIME DATETIME);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_FMM_MILESTONETPL' AND KSQL_COL_NAME ='FDISABLEUSER')
ALTER TABLE T_FMM_MILESTONETPL ADD (FDISABLEUSER BIGINT DEFAULT 0 NOT NULL);
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_FMM_MILESTONETPL' AND KSQL_COL_NAME ='FDISABLETIME')
ALTER TABLE T_FMM_MILESTONETPL ADD (FDISABLETIME DATETIME);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_FMM_PROJECT_CHANGE' AND KSQL_COL_NAME ='FDISABLEUSER')
ALTER TABLE T_FMM_PROJECT_CHANGE ADD (FDISABLEUSER BIGINT DEFAULT 0 NOT NULL);
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_FMM_PROJECT_CHANGE' AND KSQL_COL_NAME ='FDISABLETIME')
ALTER TABLE T_FMM_PROJECT_CHANGE ADD (FDISABLETIME DATETIME);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMTS_WBSMTYPE' AND KSQL_COL_NAME ='FDISABLEUSER')
ALTER TABLE T_PMTS_WBSMTYPE ADD (FDISABLEUSER BIGINT DEFAULT 0 NOT NULL);
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_PMTS_WBSMTYPE' AND KSQL_COL_NAME ='FDISABLETIME')
ALTER TABLE T_PMTS_WBSMTYPE ADD (FDISABLETIME DATETIME);